<?php defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

function sw_deactivate_plugin( $message ) {
	deactivate_plugins( plugin_basename( __FILE__ ) );

	wp_die( $message );
}

function sw_plugin_db_cleanup( $uninstall = true ) {
	// Remove all database options so if the user install the plugin again,
	// they will be starting fresh
	delete_option( SW_OPTION_NAME_TRACKING_SCRIPT );
	delete_option( SW_OPTION_NAME_API_TOKEN );

	// Legacy. We don't store those anymore, and so do the consts.
	delete_option( 'kk_user_token' );
	delete_option( 'kk_master_account' );

	if ( true === $uninstall ) {
		delete_option( SW_OPTION_NAME_AFFILIATE_ID );
		delete_option( SW_OPTION_NAME_SCHEMA_VERSION );
	}
}

function sw_no_tracking_code() {
	return ! get_option( SW_OPTION_NAME_TRACKING_SCRIPT );
}

function sw_get_tracking_code() {
    $code = get_option( SW_OPTION_NAME_TRACKING_SCRIPT );

    return ( ! $code ) ? false : $code;
}

function sw_is_setting_page() {
	global $pagenow;

	return ( $pagenow === 'options-general.php' && isset($_REQUEST['page']) && $_REQUEST['page'] === SW_SETTING_PAGE );
}

function sw_get_setting_page_link( $absolute = false ) {
	$link = 'options-general.php?page=' . SW_SETTING_PAGE;

	if ( $absolute === true ) {
		$link = get_admin_url() . $link;
	}

	return $link;
}
