<?php defined('ABSPATH') or die("No script kiddies please!"); ?>

<?php if ( isset($data['reload']) && $data['reload'] === true ) : ?>
	<script type="text/javascript">location.reload(true);</script>
<?php endif; ?>

<div class="wrap sw-config-page">
	<h2>
		<?php esc_html_e( 'SiteWit Dashboard', SW_TEXT_DOMAIN ) ?>
	</h2>

	<div class="sw-report-shortcuts">
		<div class="shortcut banner" id="sw-link-newcamp">
			<img src="<?php echo SW_PLUGIN_URL . 'assets/banner.png'; ?>" width="552px" />
		</div>

		<div class="shortcut shortcut-tile" id="sw-link-marketing">
			<span class="dashicons dashicons-welcome-widgets-menus"></span>
			<h1><?php esc_html_e( 'Marketing', SW_TEXT_DOMAIN ); ?></php></h1>
		</div>
		<div class="shortcut shortcut-tile" id="sw-link-leads">
			<span class="dashicons dashicons-groups"></span>
			<h1><?php esc_html_e( 'Leads', SW_TEXT_DOMAIN ); ?></php></h1>
		</div>
		<div class="shortcut shortcut-tile" id="sw-link-stats">
			<span class="dashicons dashicons-chart-line"></span>
			<h1><?php esc_html_e( 'Stats', SW_TEXT_DOMAIN ); ?></php></h1>
		</div>
	</div>

	<h3><?php esc_html_e( 'Change account', SW_TEXT_DOMAIN ); ?></h3>
	<div class="sw-message">
		<?php _e( 'If you want to link this WordPress site to another SiteWit account, please click <a id="reset-link" href="javascript:void(0);">here</a>', SW_TEXT_DOMAIN ); ?>
	</div>


	<h3><?php esc_html_e( 'Contact Us', SW_TEXT_DOMAIN ); ?></h3>
	<div class="sw-contact">
		<?php esc_html_e( 'Call us: 1-877-474-8394 (Monday to Friday: 9:00 AM - 6:00 PM EST)', SW_TEXT_DOMAIN ); ?><br/>
		<?php esc_html_e( 'Email: ', SW_TEXT_DOMAIN ); ?>
			<a href="mailto:support@sitewit.com">support@sitewit.com</a><br/>
		<?php
			printf(
				wp_kses(
					__( 'Create a support <a target="_blank" href="%s">ticket</a>', SW_TEXT_DOMAIN ),
					array(
						'target' => array(),
						'a' => array( 'href' => array() )
					)
				), esc_url( 'http://support.sitewit.com/hc/en-us/requests/new' )
			);
		?><br/>
		<?php esc_html_e( 'Or find us', SW_TEXT_DOMAIN ); ?>
			<a target="_blank" href="https://www.facebook.com/SiteWit"><span class="dashicons dashicons-facebook"></span></a>
			<a target="_blank" href="https://twitter.com/SiteWit"><span class="dashicons dashicons-twitter"></span></a>
			<a target="_blank" href="https://plus.google.com/115202446868642776828"><span class="dashicons dashicons-googleplus"></span></a>
	</div>
</div>

<script type="text/javascript">
	jQuery(document).ready(function() {
		jQuery("#reset-link").on("click", function() {
			if (confirm("<?php esc_html_e( 'Are you sure you want to re-link your account? Current information will be lost!', SW_TEXT_DOMAIN ); ?>")) {
				// Request to clear associated data of the SiteWit account being linked
				var data = {
					action: "reset_account",
					swAjaxNonce: "<?php echo wp_create_nonce( 'sw-reset-account-nonce' ); ?>"
				};

				// Make ajax request, expecting JSON response. "ajaxurl" is a global JS variable from WordPress
				jQuery.post(ajaxurl, data, function (response) {
					if (response === -1 || response === null) {
						alert("<?php esc_html_e( 'Request failed, please try again!', SW_TEXT_DOMAIN ); ?>");
					} else {
						// Refresh the page (with no cache) and user will be presented with the config page
						location.reload(true);
					}
				}, "json");
			}
		});

		jQuery("div.shortcut").on("click", function() {
			var baseUrl = "<?php echo SW_HOST; ?>";

			var elId = jQuery(this).attr("id").split("-");
			switch(elId[2]) {
				case "newcamp":
					baseUrl += "smb/campaigns/new/Default.aspx?load=new";
					break;
				case "marketing":
					baseUrl += "smb/campaigns/new/Default.aspx?load=new";
					break;
				case "leads":
					baseUrl += "smb/connect/dashboard";
					break;
				case "stats":
					baseUrl += "smb/analytics";
					break;
			}

			var win = window.open(baseUrl, "_blank");
            win.opener = null;
            win.focus();
		});
	});
</script>
